Bug 400871 - Automatic grouping & filtering in notification history widget to improve signal-to-noise ratio
Summary: Automatic grouping & filtering in notification history widget to improve sign...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Notifications (show other bugs)
Version: master
Platform: Other Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-09 15:04 UTC by Krešimir Čohar
Modified: 2019-05-17 21:21 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
An array of screenshots that show the proposed feature in action. (406.54 KB, image/png)
2018-11-09 15:04 UTC, Krešimir Čohar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Krešimir Čohar 2018-11-09 15:04:19 UTC
Created attachment 116199 [details]
An array of screenshots that show the proposed feature in action.

SUMMARY
I propose changes to the Notifications widget that would make it tidier and leaner by grouping some notifications together and truncating others that are useless.

STEPS TO REPRODUCE
1. Run an application such as qBittorrent or a media player (Spotify, for example).
2. Observe qBittorrent and your media player put out several notifications one after another (spaced apart by at least 10-15 seconds).
3. Shower, rinse, repeat.

OBSERVED RESULT
Each notification is discrete. If there are many, and there often are, they start to pile up in the notification popup. While this isn't much of an issue for qBittorrent in this current example, the buildup of useless notifications put out by media players results in a lot of needless scrolling.

EXPECTED RESULT
The qBittorrent notifications are grouped under a single notification (in the notification popup as well) that carries the time stamp of the latest notification.
The media player notifications are not grouped. Instead, the latest notification is placed in the notification popup and the notifications that were displayed before it are removed.

ADDITIONAL INFORMATION
See https://store.kde.org/p/1227099, a really good implementation of this idea. And the notifications themselves are aesthetically pleasing.
Comment 1 Nate Graham 2018-11-14 17:35:39 UTC
I find myself in agreement. If I get 50 messages from a chat app, 50 notifications show up in the notification widget. This is not useful; I'm not going to read all the messages there; instead I'm going to see that I missed messages and go to my chat app. I imagine the same is true of music players that send notifications on song changes (Really, those don't seem like they should show up in the widget at all; do we have the power to do this?)

Some sort of grouping would represent a *huge* improvement.
Comment 2 Krešimir Čohar 2018-11-14 18:06:31 UTC
i just realized it was supposed to be 3. Lather, rinse, repeat LOL

i wonder if we could just integrate elements from the Full Notifications KDE 5 Applet
Comment 3 Kai Uwe Broulik 2019-05-09 09:47:03 UTC
Git commit 3c52fc3bc05e0f351d4998ad54edae1a4e21a043 by Kai Uwe Broulik.
Committed on 09/05/2019 at 09:29.
Pushed by broulik into branch 'master'.

Merge branch 'broulik/libnotificationmanager'

This includes:
libnotificationmanager https://phabricator.kde.org/D20265
New notification plasmoid: https://phabricator.kde.org/D20266
as well as dataengine compat: https://phabricator.kde.org/D20490 and https://phabricator.kde.org/D20491
Related: bug 222470, bug 402144, bug 405570, bug 391646, bug 401819, bug 400811, bug 392669, bug 390143, bug 390864, bug 374099, bug 360990, bug 346458, bug 398926, bug 390152, bug 342355, bug 402391, bug 399697, bug 398580
FIXED-IN: 5.16.0


https://commits.kde.org/plasma-workspace/3c52fc3bc05e0f351d4998ad54edae1a4e21a043
Comment 4 Nate Graham 2019-05-17 21:21:38 UTC
This was implemented in the notifications rewrite.